Foniatr - Feature #252
Styly pro grafické objekty
13 August 2015 18:54 - Tomas Kulhanek

Status: Resolved Start date: 13 August 2015
Priority: Normal Due date:

Assignee: Tomas Kulhanek % Done: 100%
Category: HTMLS5 client Estimated time: 24.00 hours
Target version: Psychotest2 Spent time: 16.00 hours
Description

Umoznit manipulaci velikosti a CSS styll pro grafické objekty napf. komentar nebo specialni komentar za definici objektu
napfr.:

stimulus 1.wav $padding:5px margin:5px; background:url("Sounds/img.jpg")

History

#1 - 20 August 2015 15:21 - Tomas Kulhanek
- % Done changed from 0 to 50
- Estimated time changed from 8.00 to 24.00

Styly jsou nepovinna soucast jazyka a mohou se menit, definuje styl pro vybrany element, nebo skupinu elementu. Styly pro
1. obrazovku
2. stimuli, tlacitka
3. task, formulare

screen Obrazovka
#style max-width:40em

Definuje styl pro konkretni obrazovku, co nasleduje za #style je pridano jako styl do elementu HTML.body. V tomto pripade se zuzi obrazovka.
stimulus F1-volani.wav
#style float:none; margin:auto;

#stylebutton padding:10px; font-size:1.5em;

Definuje styl pro stimuli. Jednak pro nadrazeny element ,nav* nebo ,td“ clasy “.stimulus®. #stylebutton pak definuje styl pro vsechny tlacitka, t;j.
zvuky. V tomto pripade jsou zvuky uprostred a vycentrovane na radce, tlacitka navic jsou zvetsena s odsazenim padding a velikosti fontu 1.5x.
task G
#style background-color:lightblue;
#styleform float:left; width:20%;

Styl pro oblast, kde jsou tasky. V tomto pripade je nastaveno pozadi svetlemodre. #styleform navic definuje styl pro vsechny <form> v ramci tasku, v

tomto pripade se rozlozi zleva se sirkou 20% - tj. 5 se jich vejde na sirku obrazovky.

#2 - 20 August 2015 16:14 - Tomas Kulhanek

test se styly:

http://physiome.lf1.cuni.cz/psychoacoustictest/psychotest.htm#131
#3 - 07 October 2015 10:49 - Tomas Kulhanek
- Status changed from New to Resolved
- % Done changed from 50 to 100

Doplnena dokumentace o stylech viz http:/patf-biokyb.If1.cuni.cz/wiki/projekty/psychoakusticke testy/navrh dsl jazyka
